Bug 3711 - ld-2.1.1.so: uninit locals, overrun block
Summary: ld-2.1.1.so: uninit locals, overrun block
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-24 19:32 UTC by John Reiser
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-09 01:19:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Reiser 1999-06-24 19:32:24 UTC
The /lib/ld-2.1.1.so (glibc-2.1.1-6) in RedHat 6.0 has some
uninitialized locals variables, and a malloc'ed block that
is overrun.  These bugs are also present in the released
glibc-2.1.1 at ftp://sourceware.cygnus.com/pub/glibc .  See
bug reports libc/1165 and libc/1167 at
http://www-gnats.gnu.org:8080/cgi-bin/wwwgnats.pl .
Fixes have been provided, approved, and applied by the glibc
developers.

[BitWagon has a commercial interest in getting the patches
widely applied and distributed.  If glibc-2.1.2 is not
released in time for the next RedHat release, then please
consider applying these patches to glibc-2.1.1.  Thank you.]

Comment 1 Cristian Gafton 1999-07-09 01:19:59 UTC
Built apckage for glibc-2.1.2-1 and shipped to rawhide. Thanks!


Note You need to log in before you can comment on or make changes to this bug.